#!/bin/sh
( cd usr ; rm -rf adm )
( cd usr ; ln -sf ../var/adm adm )
( cd usr ; rm -rf spool )
( cd usr ; ln -sf ../var/spool spool )
( cd usr ; rm -rf tmp )
( cd usr ; ln -sf ../var/tmp tmp )
# Don't create faulty links that belong to tcpip packgage
#( cd var ; rm -rf rwho )
#( cd var ; ln -sf /var/spool/rwho rwho )
( cd var ; rm -rf adm )
( cd var ; ln -sf log adm )
( cd bin ; rm -rf sh )
( cd bin ; ln -sf bash sh )
( cd var ; rm -rf mail )
( cd var ; ln -sf spool/mail mail )
# Use LFHS standards...
# don't even create links so 'offending' packages can be identified
# ( cd usr ; rm -rf man )
# ( cd usr ; ln -sf share/man man )
# ( cd usr ; rm -rf doc )
# ( cd usr ; ln -sf share/doc doc )
# ( cd usr ; rm -rf info )
# ( cd usr ; ln -sf share/info info )

# compatibility for old-style X11
mkdir -p usr/X11R6

( cd usr/X11R6 ; rm -rf bin )
( cd usr/X11R6 ; ln -sf ../bin bin )
( cd usr/X11R6 ; rm -rf include )
( cd usr/X11R6 ; ln -sf ../include include )
( cd usr/X11R6 ; rm -rf lib )
( cd usr/X11R6 ; ln -sf ../lib lib )
( cd usr/X11R6 ; rm -rf libexec )
( cd usr/X11R6 ; ln -sf ../libexec libexec )
( cd usr/X11R6 ; rm -rf share )
( cd usr/X11R6 ; ln -sf ../share share )
( cd usr/X11R6 ; rm -rf share )
( cd usr/X11R6 ; ln -sf../share share )

( cd usr ; rm -rf X11 )
( cd usr ; ln -sf X11R6 X11 )
( cd usr/bin ; rm -rf X11 )
( cd usr/bin ; ln -sf . X11 )
# Did anything ever use this?  I don't know, but if we're keeping all
# this other garbage then it probably won't hurt:
if [ -d usr/X11R6/lib/X11 ]; then
( cd var ; rm -rf X11R6 )
( cd var ; ln -sf ../usr/X11R6/lib/X11 X11R6 )
( cd var ; rm -rf X11 )
( cd var ; ln -sf X11R6 X11 )
elif [ -d usr/X11R6/lib64/X11 ]; then
( cd var ; rm -rf X11R6 )
( cd var ; ln -sf ../usr/X11R6/lib64/X11 X11R6 )
( cd var ; rm -rf X11 )
( cd var ; ln -sf X11R6 X11 )
fi

# missing font link ??
# ( cd usr/share/fonts ; rm -rf X11 )
# ( cd usr/share/fonts ; ln -sf . X11 )

#mkdir -p usr/libexec
#mkdir -p srv
#mkdir -p opt
#mkdir -p var/lib/tpkg/manifests
#mkdir -p var/lib/tpkg/packages
#mkdir -p var/lib/tpkg/postinst
#mkdir -p var/lib/tpkg/postrm
#mkdir -p var/lib/tpkg/preinst
#mkdir -p var/lib/tpkg/prerm
#mkdir -p var/lib/tpkg/removed
#mkdir -p var/lib/tpkg/required
#mkdir -p var/lib/tpkg/setup
#mkdir -p var/lib/tpkg/transactions
# a group for the tpkg is possible
# chown -R root:tpkg
# chmod 775 var/lib/tpkg/*

# set correct eprms for these dirs:
chmod 710 root
chmod 1777 tmp
chmod 1777 var/tmp
chmod 1777 var/lock
chmod 775 var/run
chmod 1777 var/spool/mail
